Skip to main content
GET
/
customers
/
{customerId}
/
whitelist-recipients
List whitelist recipients for a customer
curl --request GET \
  --url https://api.conduit.financial/v2/customers/{customerId}/whitelist-recipients \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "accountNumber": "<string>",
      "routingNumber": "<string>",
      "iban": "<string>",
      "legalName": "<string>",
      "evidenceDocumentIds": [
        "<string>"
      ],
      "label": "<string>",
      "rejectionReason": "<string>",
      "createdAt": "2026-01-15T09:30:00.000Z",
      "updatedAt": "2026-01-15T09:30:00.000Z"
    }
  ],
  "meta": {
    "mode": "cursor",
    "nextCursor": "eyJpZCI6ImN1c18yeFBxTjhSIn0",
    "previousCursor": null,
    "total": 42
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

limit
number
default:20

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
direction
enum<string>

Pagination direction relative to the cursor

Available options:
forward,
backward
status
enum<string>

Filter by review status.

Available options:
PENDING_REVIEW,
REGISTERED,
SUSPENDED,
REVOKED,
REJECTED
sortOrder
enum<string>
Available options:
asc,
desc

Response

data
object[]
required
meta
object
required